The Open Group Base Specifications Issue 7
IEEE Std 1003.1-2008, 2016 Edition
Copyright © 2001-2016 The IEEE and The Open Group

#### NAME

> cfsetispeed - set input baud rate

#### SYNOPSIS

> ``#include <termios.h>
> int cfsetispeed(struct termios *`termios_p`, speed_t` speed`);
> ``

#### DESCRIPTION

> The cfsetispeed() function shall set the input baud rate stored in the structure pointed to by termios_p to speed.

> There shall be no effect on the baud rates set in the hardware until a subsequent successful call to tcsetattr() with the same termios structure. Similarly, errors resulting from attempts to set baud rates not supported by the terminal device need not be detected until the tcsetattr() function is called.

#### RETURN VALUE

> Upon successful completion, cfsetispeed() shall return 0; otherwise, -1 shall be returned, and errno may be set to indicate the error.

#### ERRORS

> The cfsetispeed() function may fail if:

> [EINVAL]
>   The speed value is not a valid baud rate.
> [EINVAL]
>   The value of speed is outside the range of possible speed values as specified in <termios.h>.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> Refer to cfgetispeed.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> cfgetispeed, cfgetospeed, cfsetospeed, tcsetattr

> XBD General Terminal Interface, <termios.h>

#### CHANGE HISTORY

> First released in Issue 3. Included for alignment with the POSIX.1-1988 standard.

#### Issue 6

> The following new requirements on POSIX implementations derive from alignment with the Single UNIX Specification:

> - The optional setting of errno and the [EINVAL] error conditions are added.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2016 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]